package com.winhc.dataworks.flow.touch;

import com.aliyuncs.dataworks_public.model.v20180601.CreateManualDagResponse;
import com.helospark.lightdi.LightDi;
import com.helospark.lightdi.LightDiContext;
import com.helospark.lightdi.annotation.Autowired;
import com.helospark.lightdi.annotation.Service;
import com.winhc.dataworks.flow.touch.bean.TaskParam;
import com.winhc.dataworks.flow.touch.service.TouchService;
import com.winhc.dataworks.flow.touch.utils.JsonUtils;
import lombok.extern.slf4j.Slf4j;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/22 10:45
 * @Description:
 */
@Slf4j
@Service
public class Main {
    @Autowired
    private TouchService touchService;


    public static void main(String[] args) {
        LightDiContext context = LightDi.initContextByPackage(Main.class.getPackage().getName());
        Main bean = context.getBean(Main.class);
//        bean.start();
        bean.query();
    }

    private void start() {
        log.info("start");
        Map<String, String> map = new HashMap<>();
        List<String> strings = Arrays.asList("test1=a1"
                , "test2=a2"
                , "test3=a3");
        map.put("700003342843", String.join(" ", strings));


        TaskParam build = TaskParam.builder().projectName("winhc_test")
                .flowName("test_touch")
                .bizDate("2020-06-04")
                .nodeParam(map).build();
        CreateManualDagResponse touch = touchService.touch(build);
        System.out.println(JsonUtils.jsonObjToString(touch));
    }

    private void query(){
        touchService.query("winhc_test",700134013109L);
    }
}
